import EventEmitter from 'events';
import { ReadStream } from 'node:fs';
export declare class PcapParser extends EventEmitter {
    protected stream: ReadStream;
    protected buffer: Buffer | null;
    protected errored: boolean;
    protected endianness: 'BE' | 'LE' | null;
    protected index: number;
    protected state: () => boolean;
    protected offset: number;
    protected currentPacketHeader: {
        timestampSeconds: number;
        timestampMicroseconds: number;
        capturedLength: number;
        originalLength: number;
    };
    static parse(input: string | ReadStream): PcapParser;
    constructor(input: string | ReadStream);
    protected updateBuffer(data: Buffer): void;
    protected parseGlobalHeader(): boolean;
    protected parsePacketHeader(): boolean;
    protected parsePacketBody(): boolean;
    protected onData(data: Buffer): void;
    protected onError(err: Error): void;
    protected onEnd(): void;
}
//# sourceMappingURL=PcapParser.d.ts.map